Memory Stores
Search memories
Searches the specified memory store for memories relevant to the provided conversation context.
Üst bilgi parametreleri
Foundry-Features
enum
gerekli
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Yol parametreleri
name
string
gerekli
The name of the memory store to search.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
İstek Gövdesi
scope
string
gerekli
The namespace that logically groups and isolates memories, such as a user ID.
items
OpenAI.InputItem[]
Items for which to search for relevant memories.
previous_search_id
string
The unique ID of the previous search request, enabling incremental memory search from where the last operation left off.
options
MemorySearchOptions
Memory search options.
max_memories
integer
Maximum number of memory items to return.
Yanıtlar
The request has succeeded.
Gövde
search_id
string
gerekli
The unique ID of this search request. Use this value as previous_search_id in subsequent requests to perform incremental searches.
memories
MemorySearchItem[]
gerekli
Related memory items found during the search operation.
usage
MemoryStoreOperationUsage
gerekli
Usage statistics of a memory store operation.
embedding_tokens
integer
gerekli
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
gerekli
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
gerekli
İstek
POST /memory_stores/{name}:search_memories HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json